import request from '@/utils/request'

// 查询试卷管理列表(不分页)
export function listPaperAll(query) {
  return request({
    url: '/exam/paper/listAll',
    method: 'get',
    params: query
  })
}

// 查询考试结果
export function getExamPaper(id) {
  return request({
    url: '/exam/paper/'+id,
    method: 'get',
  })
}

// 查询问题和选项
export function paperDetail(data) {
  return request({
    url: '/exam/paper/paperDetail',
    method: 'post',
    data: data
  })
}

// 保存用户答案
export function fillAnswer(data) {
  return request({
    url: '/exam/paper/fillAnswer',
    method: 'post',
    data: data
  })
}
// 交卷
export function handPaper(data) {
  return request({
    url: '/exam/paper/handPaper',
    method: 'post',
    data: data
  })
}
//查询考试结果
export function paperResult(data) {
  return request({
    url: '/exam/paper/paperResult',
    method: 'post',
    data: data
  })
}
